<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>

    <link rel="stylesheet" href="styles/booking.css">
</head>
<body>

    <div id="container">
        <form action="abc.html">
            
            <div class="wrapper">
                <div class="slide" id="firstForm">
                    <div class="column">
                        <label for="">room type:</label>
                        <select name="" id="">
                            <option value="">1</option>
                            <option value="">1</option>
                        </select>
                    </div>
                    <div class="column">
                        <label for="">check in:</label>
                        <input type="text" placeholder="email">
                    </div>
                    <div class="column">
                        <label for="">check out:</label>
                    <input type="text" placeholder="email">
                    </div>
                    <div class="column">
                        <label for="">Adults:</label>
                        <input type="text" placeholder="email" style="width: 50px;">
                    </div>
                    <div class="column">
                        <label for="">Child:</label>
                        <input type="text" placeholder="email" style="width: 50px;">
                    </div>
                </div>
                
                <div class="slide" id="secondForm">
                    <div class="column">
                        <label for="">Name:</label>
                        <input type="text" placeholder="email">
                    </div>
                    <div class="column">
                        <label for="">Email:</label>
                        <input type="text" placeholder="email">
                    </div>
                    <div class="column">
                        <label for="">contact no.</label>
                        <input type="text" placeholder="email">
                    </div>
                    <div class="column">
                        <label for="">Address</label>
                        <input type="text" placeholder="email">
                    </div>
                    <!-- <div class="column">
                        <label for="">Address</label>
                        <input type="text" placeholder="email">
                    </div> -->
                </div>
            </div>

            <div class="button-container">
                <input type="button" value="Back" id="backBtn" onclick="slideBack()">
                <input type="button" value="Next" id="nextBtn" onclick="slideNext()">
                <input type="submit" value="Book Now" id="submitBtn">
            </div>
            
        </form>
    </div>

    <script>
        var firstForm = document.getElementById('firstForm');
        var secondForm = document.getElementById('secondForm');
        var backBtn = document.getElementById('backBtn');
        var nextBtn = document.getElementById('nextBtn');
        var submitBtn = document.getElementById('submitBtn');

        var width1 = firstForm.clientWidth;
        var width2 = secondForm.clientWidth;

        //only show next btn at first
        backBtn.style.display = "none";
        submitBtn.style.display = "none";
        // secondForm.style.opacity = "0";

        //slide function
        function slideNext(){
            firstForm.style.transform = 'translateX(-' + width1 + 'px)';
            secondForm.style.transform = 'translateX(-' + width2 + 'px)';
            secondForm.style.opacity = "1";
            submitBtn.style.display = "block";
            backBtn.style.display = "block";
            nextBtn.style.display = "none";
        }

        function slideBack(){
            firstForm.style.transform = 'translateX(0%)';
            secondForm.style.transform = 'translateX(0%)';
            // secondForm.style.opacity = "0";
            submitBtn.style.display = "none";
            backBtn.style.display = "none";
            nextBtn.style.display = "block";
        }
    </script>
</body>
</html>